<!DOCTYPE html>
<html lang="fr">
  <head>
    {% load static %} {% load bootstrap5 %} {% bootstrap_css %}
    {% bootstrap_javascript %}
    <meta charset="UTF-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <link
      rel="icon"
      href="{% static 'assets/icons/logo.png' %}"
      type="image/png"
    />
    {% block style %}
    <link
      href="{% static 'fontawesomefree/css/fontawesome.css' %}"
      rel="stylesheet"
      type="text/css"
    />
    <link
      href="{% static 'fontawesomefree/css/brands.css' %}"
      rel="stylesheet"
      type="text/css"
    />
    <link
      href="{% static 'fontawesomefree/css/solid.css' %}"
      rel="stylesheet"
      type="text/css"
    />
    <link
      rel="stylesheet"
      href="{% static 'node_modules/bootstrap/dist/css/bootstrap.min.css' %}"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />

    <link rel="stylesheet" href="{% static 'assets/css/main.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/css/keyframes.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/css/mg.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/css/media_queries.css' %}" />
    {% endblock style %}
    <title>{{ about_us.site_title }}</title>
  </head>

  <style>
    /* 1120 */

    @media (max-width: 1120px) {
      .nav-link.flexible {
        font-size: 1.2rem !important;
      }
      #main-header .servies.dropdown-menu[data-bs-popper] {
        top: 174%;
        left: -80px;
        margin-top: var(--bs-dropdown-spacer);
      }
      #main-header .account.dropdown-menu[data-bs-popper] {
        top: 174%;
        left: -50px;
        margin-top: var(--bs-dropdown-spacer);
      }
    }
  </style>

  <body class="h-100">
    {% include "./components/header.html" %}

    <style></style>
    <style></style>

    <script>
      window.addEventListener("scroll", function (ev) {
        var header = document.getElementById("main-header");
        var userSideBar = document.querySelector("#sidebar .sidebar-container");
        if (window.scrollY > 1) {
          header.classList.add("HeaderSticky");
          if (userSideBar) {
            userSideBar.classList.add("sideBarWithStickyHeader");
          }
        } else {
          header.classList.remove("HeaderSticky");
          if (userSideBar) {
            userSideBar.classList.remove("sideBarWithStickyHeader");
          }
        }
      });
    </script>
    <main class="cos-container">
      {% if messages %} {% for message in messages %}
      <div
        class="toast shadow"
        role=" alert"
        aria-live="assertive"
        aria-atomic="true"
      >
        <div class="toast-header">
          <img
            src="{% static 'images/logo.png' %}"
            style="height: 3rem; width: auto; object-fit: contain"
            class="rounded me-2 toast-cost-img"
            alt="..."
          />
          <strong class="me-auto w-100 text-center">DRONES PRO</strong>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="toast"
            aria-label="Close"
          ></button>
        </div>
        <div class="toast-body">{{ message }}</div>
      </div>
      {% endfor %}
      <script>
        var toastElList = [].slice.call(document.querySelectorAll(".toast"));
        var toastList = toastElList.map(function (toastEl) {
          return new bootstrap.Toast(toastEl);
        });
        toastList[0].show();
      </script>

      {% endif %} {% block main %} {% endblock main %}
    </main>
    {% include "./components/footer.html" %} {% block script %}
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@3.15.0"></script>

    <script src="{% static 'assets/js/script.js' %}"></script>
    {% endblock script %}
    <script>
        const header = document.querySelector("#main-header");
        let height = screen.height;
        if (height > 500) {
          header.classList.add("HeaderSticky");
        } else {
          header.classList.remove("HeaderSticky");
        }
    </script>
    <script>
      document.body.addEventListener("wheel", e=>{
        if(e.ctrlKey)
          e.preventDefault();//prevent zoom
      });
    </script>
  </body>
</html>
